function [Apd, Bpd, Cpd, Dpd]= pdes_surf
% Re-Entry Vehicle Surfaces Only Pitch Design Model                                                   
Apd= [
   0.00000000E+00   0.10000000E+01   0.00000000E+00
   0.00000000E+00  -0.16778480E-02  -0.22869616E+00
   0.33707560E-05   0.99999996E+00  -0.78408393E-03
];

Bpd= [
   0.00000000E+00
   0.99951931E+00
   0.25295773E-03
];

Cpd= [
   0.10000000E+01   0.00000000E+00   0.00000000E+00
   0.00000000E+00   0.10000000E+01   0.00000000E+00
   0.00000000E+00   0.00000000E+00   0.10000000E+01
];

Dpd= [
   0.00000000E+00
   0.00000000E+00
   0.00000000E+00
];

%  Definition of State-Space System Variables

%  Inputs  =   1
%    1    Q-dot Pitch RCS  Command About Y Axis                  
 
%  States  =   3
%    1    State No:  3                                           
%    2    State No:  4                                           
%    3    State No:  7                                           
 
%  Outputs =   3
%    1    Pitch Attitude (thet) (radians)                        
%    2    Pitch Rate  (q-stab)  (rad/sec)                        
%    3    Angle of attack, alfa, (radians)                       
