%------------------------------------------
label='Re-Entry Vehicle Simulat at T=450 sec, Phi_{cmd}=30 (deg), No Gust';
%------------------------------------------
figure (1)
SUBPLOT(3,1,1), plot(time,gust, 'LineWidth',1.5)
Title(label)
ylabel('Wind Gust in (ft/sec)')

SUBPLOT(3,1,2), plot(time,phicmd*r2d, 'LineWidth',1.5)
ylabel('Phi Comd (deg)')

SUBPLOT(3,1,3), plot(time,alpha*r2d, time,alfa_cmd*r2d, 'LineWidth',1.5)
ylabel('Alpha (deg)')
xlabel('Time sec')
%------------------------------------------
figure (2)
SUBPLOT(2,1,1), plot(time,pqr*r2d, 'LineWidth',1.5)
Title(label)
ylabel('Body Rates, Wb (deg/sec)')
legend('P','Q','R');

SUBPLOT(2,1,2), plot(time,accel, 'LineWidth',1.5)
ylabel('Accelerat x,y,z (ft/s^2)')
legend('Axial','Ny','Nz');
xlabel('Time sec')
%------------------------------------------
figure (3)
SUBPLOT(3,1,1), plot(time,phist, 'LineWidth',1.5)
Title(label)
ylabel('Bank (phi), (deg)')

SUBPLOT(3,1,2), plot(time,albet, 'LineWidth',1.5)
ylabel('Alpha, Beta (deg)')
legend('Alpha','Beta');

SUBPLOT(3,1,3), plot(time,VXR, 'LineWidth',1.5)
ylabel('Veloc X-Range (ft/s)')
xlabel('Time sec')
%------------------------------------------
figure (4)
SUBPLOT(2,1,1), plot(time,dV, 'LineWidth',1.5)
Title(label)
ylabel('Delta Velocity (ft/sec)')

SUBPLOT(2,1,2), plot(time,dh, 'LineWidth',1.5)
ylabel('Delta Altitude (ft)')
xlabel('Time sec')
%------------------------------------------
figure (5)
SUBPLOT(2,1,1), plot(time,Throt, 'LineWidth',1.5)
Title(label)
ylabel('Engine Throttles (0-1)')

SUBPLOT(2,1,2), plot(time,delta, 'LineWidth',1.5)
ylabel('Surf Deflect (deg)')
legend('L_{Flap}','R_{Flap}','L_{Rud}','R_{Rud}');
xlabel('Time sec')
%------------------------------------------

