d2r=pi/180; r2d=180/pi;
[Ave, Bve, Cve, Dve] = vehicle_lat_1250;         % Original System with -ve LCDP
load KSmix2.mat -ascii; KSmix=KSmix2;            % Load Surfaces Mix Logic (4 x 3)

[Al,Bl,Cl,Dl]= linmod('LSdes3x');                % Include KSmix in the model
sys1=ss(Al,Bl, Cl,Dl);                  
Bl2=Bl; Bl2(2,1)=0.25;                           % Create another system with different Cnda
sys2=ss(Al,Bl2,Cl,Dl);                           % that has a +ve LCDP

Sr=100; Sp=19; 
Ixx=2413.3; Izz=13266.7;

Qb=73.7; alfa=37.5;                     % T1250
ca=cosd(alfa); sa=sind(alfa);
Cnb=-0.520200E-03; Clb=-0.200880E-02;   % T1250
Qsbx=Qb*Sr*Sp/Ixx; Qsbz=Qb*Sr*Sp/Izz;
Clda=0.945/Qsbx; Cnda=-0.1828/Qsbz; Cnda2= 0.25/Qsbz;

wd2=Qsbz*(Cnb*ca - (Izz/Ixx)*Clb*sa)*r2d; wd=sqrt(wd2);
w02=Qsbz*ca*(Cnb -(Cnda/Clda)*Clb)*r2d; w0=sqrt(w02);
w03=Qsbz*ca*(Cnb -(Cnda2/Clda)*Clb)*r2d; w0=sqrt(w03);

Lcdp1=w02/wd2
Lcdp2=w03/wd2
Cnb_dyn=Cnb*ca - (Izz/Ixx)*Clb*sa

% LQR Design 1
BB=Bl;
[Al1,Bl1,Cl1,Dl1]= linmod('LSdes4x');      
R=[1,1]*2; R=diag(R);                           % AS LQR Weights R=[1,10]*2
Q=[2 0.2 0.2 10]*0.8; Q=diag(Q);                   % AS LQR Weights Q=[1 1 1 0.04 0.04]*0.4
[KSpr1,s,e]=lqr(Al1,Bl1,Q,R)                      % Perform LQR design on Surfaces

% LQR Design 2
BB=Bl2;
[Al3,Bl3,Cl3,Dl3]= linmod('LSdes4x');      
R=[1,1]*2; R=diag(R);                           % AS LQR Weights R=[1,10]*2
Q=[2 0.2 0.2 10]*0.8; Q=diag(Q);                   % AS LQR Weights Q=[1 1 1 0.04 0.04]*0.4
[KSpr2,s,e]=lqr(Al3,Bl3,Q,R)                     % Perform LQR design on Surfaces

