d2r=pi/180; r2d=180/pi;
[Ave, Bve, Cve, Dve] = vehicle_lat_modif;        % Modif System with -ve Cn_beta_dyn
load KSmix2.mat -ascii; KSmix=KSmix2;            % Load Surfaces Mix Logic (4 x 3)

[Al3,Bl3,Cl,Dl]= linmod('LSdes3x');            % Include KSmix in the model
sys3=ss(Al3,Bl3, Cl,Dl);                  

Sr=100; Sp=19; 
Ixx=2413.3; Izz=13266.7;

Qb=73.7; alfa=37.5;                     % T1250
ca=cosd(alfa); sa=sind(alfa);
Cnb=-0.520200E-02; Clb=-0.100880E-02;   % T1250
Qsbx=Qb*Sr*Sp/Ixx; Qsbz=Qb*Sr*Sp/Izz;
Clda=0.9451/Qsbx; Cnda=-0.1828/Qsbz; 

wd4=Qsbz*(Cnb*ca - (Izz/Ixx)*Clb*sa)*r2d; wd=sqrt(wd4);
w04=Qsbz*ca*(Cnb -(Cnda/Clda)*Clb)*r2d; w0=sqrt(w04);
T2=log2(2)/abs(sqrt(wd4))                       % Time to Double Amplitude

Lcdp3=w04/wd4
Cnb_dyn=Cnb*ca - (Izz/Ixx)*Clb*sa

% LQR Design 3
Al=Al3; BB=Bl3;
[Al1,Bl1,Cl1,Dl1]= linmod('LSdes4x');      
R=[1,1]*2; R=diag(R);                           % AS LQR Weights R=[1,10]*2
Q=[2 0.2 0.2 10]*0.8; Q=diag(Q);                   % AS LQR Weights Q=[1 1 1 0.04 0.04]*0.4
[KSpr3,s,e]=lqr(Al1,Bl1,Q,R);                      % Perform LQR design on Surfaces
